package cz.zcu.fav.kiv.mjakubas.saf.application;

import cz.zcu.fav.kiv.mjakubas.saf.command.CommandManager;
import cz.zcu.fav.kiv.mjakubas.saf.config.ConfigManager;

/**
 * Defines a CLI interface of application.
 */
public class CLIApplication implements IApplication {
    @Override
    public void start(String[] args) throws Exception {
        CommandManager commandManager =
                new CommandManager(ConfigManager.getManager().getCommandConfig().getProperties());
        commandManager.registerAllCommandHandlers();
        commandManager.processCommand(args);
    }
}
