package cz.zcu.fav.kiv.mjakubas.saf.config.configs;

import cz.zcu.fav.kiv.mjakubas.saf.config.ConfigManager;
import org.junit.jupiter.api.AfterEach;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

import java.io.IOException;

import static org.junit.jupiter.api.Assertions.*;

/**
 * Test for {@link NetConfig} class and its properties values.
 */
class NetConfigTest {

    NetConfig netConfig;

    @BeforeEach
    void setUp() throws IOException {
        netConfig = ConfigManager.getManager().getNetConfig();
    }

    @Test
    void getAddress() {
        Assertions.assertEquals("http://localhost:", netConfig.getAddress());
    }

    @Test
    void getPort() {
        Assertions.assertEquals("8080", netConfig.getPort());
    }

    @Test
    void getUsername() {
        Assertions.assertEquals("user", netConfig.getUsername());
    }

    @Test
    void getPassword() {
        Assertions.assertEquals("password", netConfig.getPassword());
    }
}