package cz.zcu.fav.kiv.mjakubas.saf.io.resource;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

class ResourcesIOTest {

    @BeforeEach
    void setUp() {
    }

    @Test
    void existingPath() {
        Assertions.assertDoesNotThrow(() -> ResourcesIO.getResourceInputStream("a"));
    }

    @Test
    void notExistingPath() {
        Assertions.assertThrows(Exception.class, () -> ResourcesIO.getResourceInputStream("void"));
    }

    @Test
    void createTempDir() {
        Assertions.assertDoesNotThrow(() -> ResourcesIO.createTempDirectory("temp", "a"));
    }
}