package cz.zcu.fav.kiv.mjakubas.saf.request;

import cz.zcu.fav.kiv.mjakubas.saf.*;
import org.junit.jupiter.api.*;

import java.io.*;
import java.util.*;

import static org.junit.jupiter.api.Assertions.*;

class MultiPostTest {

    @Test
    void testFromJSON() throws IOException {
        String s = new String(MultiPostTest.class.getClassLoader().getResourceAsStream("MultiPost.json").readAllBytes());
        Map<String, List<Object>> res = MultiPost.processEntities(s);
        if (res == null || res.keySet().size() != 2) {
            Assertions.fail();
        }
    }

    @Test
    void testFromXML() throws IOException {
        String s = new String(MultiPostTest.class.getClassLoader().getResourceAsStream("MultiPost.xml").readAllBytes());
        Map<String, List<Object>> res = MultiPost.processEntities(s);
        if (res == null || res.keySet().size() != 2) {
            Assertions.fail();
        }
    }
}