package cz.zcu.fav.kiv.mjakubas.saf.request;

import cz.zcu.fav.kiv.mjakubas.saf.config.*;
import cz.zcu.fav.kiv.mjakubas.saf.config.configs.*;
import cz.zcu.fav.kiv.mjakubas.saf.entity.*;
import org.junit.jupiter.api.*;

import java.util.*;

class MultiTest {

    @Test
    void testMultiUpload() {
        Map<String, List<Object>> map = new HashMap<>();
        List<Object> days = new ArrayList<>();
        SchoolDay schoolDay = new SchoolDay();
        schoolDay.setSchooldayName("A");
        days.add(schoolDay);
        map.putIfAbsent(RequestConfig.SCHOOLDAYS_ENTITIES_QUERY, days);


        Assertions.assertDoesNotThrow(() -> EntitiesRequests.multiPost(ConfigManager.getManager().getRequestConfig(), map));
    }

    @Test
    void testMultiUploadFalse() {
        Map<String, List<Object>> map = new HashMap<>();
        List<Object> days = new ArrayList<>();
        SchoolDay schoolDay = new SchoolDay();
        schoolDay.setSchooldayName("A");
        days.add(schoolDay);
        map.putIfAbsent(RequestConfig.ABSENCE_ENTITIES_QUERY, days);


        Assertions.assertThrows(Exception.class, () -> EntitiesRequests.multiPost(ConfigManager.getManager().getRequestConfig(), map));
    }
}