-- phpMyAdmin SQL Dump
-- version 5.1.1
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Jun 11, 2022 at 02:11 PM
-- Server version: 10.4.22-MariaDB
-- PHP Version: 8.1.2

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `schoolagenda`
--

-- --------------------------------------------------------

--
-- Table structure for table `absences`
--

CREATE TABLE `absences` (
  `id_absences` int(10) UNSIGNED NOT NULL,
  `id_students` int(10) UNSIGNED NOT NULL,
  `id_scheduleactionsdates` int(10) UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `absences`
--

INSERT INTO `absences` (`id_absences`, `id_students`, `id_scheduleactionsdates`) VALUES
(1, 1, 1),
(2, 2, 1),
(3, 6, 3),
(4, 8, 3);

-- --------------------------------------------------------

--
-- Table structure for table `buildings`
--

CREATE TABLE `buildings` (
  `id_buildings` int(10) UNSIGNED NOT NULL,
  `building_name` varchar(100) COLLATE utf8_czech_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `buildings`
--

INSERT INTO `buildings` (`id_buildings`, `building_name`) VALUES
(1, 'Budova A'),
(2, 'Budova B');

-- --------------------------------------------------------

--
-- Table structure for table `classes`
--

CREATE TABLE `classes` (
  `id_classes` int(10) UNSIGNED NOT NULL,
  `class_name` varchar(100) COLLATE utf8_czech_ci NOT NULL,
  `id_rooms` int(10) UNSIGNED NOT NULL,
  `id_teachers` int(10) UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `classes`
--

INSERT INTO `classes` (`id_classes`, `class_name`, `id_rooms`, `id_teachers`) VALUES
(1, '6.A', 1, 1),
(2, '6.B', 2, 2);

-- --------------------------------------------------------

--
-- Table structure for table `classessubjects`
--

CREATE TABLE `classessubjects` (
  `id_classes` int(10) UNSIGNED NOT NULL,
  `id_subjects` int(10) UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `classessubjects`
--

INSERT INTO `classessubjects` (`id_classes`, `id_subjects`) VALUES
(1, 1),
(1, 3),
(1, 5),
(2, 2),
(2, 4),
(2, 5);

-- --------------------------------------------------------

--
-- Table structure for table `evaluations`
--

CREATE TABLE `evaluations` (
  `id_evaluations` int(10) UNSIGNED NOT NULL,
  `test_name` varchar(100) COLLATE utf8_czech_ci NOT NULL,
  `weight` int(2) UNSIGNED NOT NULL,
  `grade` double NOT NULL,
  `id_studentssubjects` int(10) UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `evaluations`
--

INSERT INTO `evaluations` (`id_evaluations`, `test_name`, `weight`, `grade`, `id_studentssubjects`) VALUES
(1, 'Úvodní test', 5, 1, 25),
(2, 'Úvodní test', 5, 5, 26),
(3, 'Úvodní test', 5, 2, 27),
(4, 'Úvodní test', 5, 2, 28),
(5, 'Úvodní test', 5, 2, 29),
(6, 'Úvodní test', 5, 3, 30),
(7, 'Úvodní test', 5, 4, 31),
(8, 'Úvodní test', 5, 4, 32),
(9, 'Úvodní test', 5, 2, 33),
(10, 'Úvodní test', 5, 2, 34),
(11, 'Úvodní test', 5, 1, 35),
(12, 'Úvodní test', 5, 1, 36),
(13, 'Úvodní test', 5, 1, 37),
(14, 'Úvodní test', 5, 1, 38),
(15, 'Úvodní test', 5, 3, 39),
(16, 'Úvodní test', 5, 3, 40),
(17, 'Úvodní test', 5, 2, 41),
(18, 'Úvodní test', 5, 2, 42),
(19, 'Úvodní test', 5, 2, 43),
(20, 'Úvodní test', 5, 5, 44),
(21, 'Úvodní test', 5, 5, 45),
(22, 'Úvodní test', 5, 1, 46),
(23, 'Úvodní test', 5, 1, 47),
(24, 'Úvodní test', 5, 1, 48);

-- --------------------------------------------------------

--
-- Table structure for table `rooms`
--

CREATE TABLE `rooms` (
  `id_rooms` int(10) UNSIGNED NOT NULL,
  `room_name` varchar(100) COLLATE utf8_czech_ci NOT NULL,
  `capacity` int(10) NOT NULL,
  `id_buildings` int(10) UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `rooms`
--

INSERT INTO `rooms` (`id_rooms`, `room_name`, `capacity`, `id_buildings`) VALUES
(1, 'Místnost 001A', 40, 1),
(2, 'Místnost 002A', 40, 1),
(3, 'Místnost 001B', 25, 2),
(4, 'Místnost 002B', 25, 2);

-- --------------------------------------------------------

--
-- Table structure for table `scheduleactions`
--

CREATE TABLE `scheduleactions` (
  `id_scheduleactions` int(10) UNSIGNED NOT NULL,
  `id_rooms` int(10) UNSIGNED NOT NULL,
  `id_subjects` int(10) UNSIGNED NOT NULL,
  `id_schooldays` int(10) UNSIGNED NOT NULL,
  `id_schoolhours` int(10) UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `scheduleactions`
--

INSERT INTO `scheduleactions` (`id_scheduleactions`, `id_rooms`, `id_subjects`, `id_schooldays`, `id_schoolhours`) VALUES
(1, 1, 1, 1, 1),
(2, 1, 1, 2, 1),
(3, 1, 3, 1, 2),
(4, 1, 3, 3, 1),
(5, 1, 5, 4, 1),
(6, 1, 5, 5, 1),
(7, 2, 2, 5, 1),
(8, 2, 2, 5, 4),
(9, 2, 4, 1, 1),
(10, 2, 4, 3, 1);

-- --------------------------------------------------------

--
-- Table structure for table `scheduleactionsdate`
--

CREATE TABLE `scheduleactionsdate` (
  `id_scheduleactionsdates` int(10) UNSIGNED NOT NULL,
  `date` date NOT NULL,
  `theme` varchar(100) COLLATE utf8_czech_ci NOT NULL,
  `id_scheduleactions` int(10) UNSIGNED NOT NULL,
  `id_teachers` int(10) UNSIGNED NOT NULL,
  `id_rooms` int(10) UNSIGNED NOT NULL,
  `id_schooldays` int(10) UNSIGNED NOT NULL,
  `id_schoolhours` int(10) UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `scheduleactionsdate`
--

INSERT INTO `scheduleactionsdate` (`id_scheduleactionsdates`, `date`, `theme`, `id_scheduleactions`, `id_teachers`, `id_rooms`, `id_schooldays`, `id_schoolhours`) VALUES
(1, '2022-01-10', 'Úvodní hodina', 1, 1, 1, 1, 1),
(2, '2022-01-11', 'Úvodní hodina', 2, 1, 1, 2, 1),
(3, '2022-01-10', 'Úvodní hodina', 3, 1, 1, 1, 2),
(4, '2022-01-12', 'Úvodní hodina', 4, 1, 1, 3, 1),
(5, '2022-01-13', 'Úvodní hodina', 5, 3, 1, 4, 1),
(6, '2022-01-14', 'Úvodní hodina', 6, 3, 1, 5, 1),
(7, '2022-01-14', 'Úvodní hodina', 7, 2, 2, 5, 1),
(8, '2022-01-14', 'Úvodní hodina', 8, 2, 2, 5, 4),
(9, '2022-01-10', 'Úvodní hodina', 9, 2, 2, 1, 1),
(10, '2022-01-12', 'Úvodní hodina', 10, 2, 2, 3, 1);

-- --------------------------------------------------------

--
-- Table structure for table `schooldays`
--

CREATE TABLE `schooldays` (
  `id_schooldays` int(10) UNSIGNED NOT NULL,
  `schoolday_name` varchar(100) COLLATE utf8_czech_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `schooldays`
--

INSERT INTO `schooldays` (`id_schooldays`, `schoolday_name`) VALUES
(1, 'Pondělí'),
(2, 'Úterý'),
(3, 'Středa'),
(4, 'Čtvrtek'),
(5, 'Pátek');

-- --------------------------------------------------------

--
-- Table structure for table `schoolhours`
--

CREATE TABLE `schoolhours` (
  `id_schoolhours` int(10) UNSIGNED NOT NULL,
  `schoolhour_name` varchar(100) COLLATE utf8_czech_ci NOT NULL,
  `schoolhour_begin` time NOT NULL,
  `schoolhour_end` time NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `schoolhours`
--

INSERT INTO `schoolhours` (`id_schoolhours`, `schoolhour_name`, `schoolhour_begin`, `schoolhour_end`) VALUES
(1, '0. hodina', '07:00:00', '07:50:00'),
(2, '1. hodina', '08:00:00', '08:50:00'),
(3, '2. hodina', '09:00:00', '09:50:00'),
(4, '3. hodina', '10:00:00', '10:50:00'),
(5, '4. hodina', '11:00:00', '11:50:00'),
(6, '5. hodina', '12:00:00', '12:50:00');

-- --------------------------------------------------------

--
-- Table structure for table `students`
--

CREATE TABLE `students` (
  `id_students` int(10) UNSIGNED NOT NULL,
  `first_name` varchar(100) COLLATE utf8_czech_ci NOT NULL,
  `last_name` varchar(100) COLLATE utf8_czech_ci NOT NULL,
  `birth_date` date NOT NULL,
  `residence` varchar(100) COLLATE utf8_czech_ci NOT NULL,
  `phone` int(9) UNSIGNED NOT NULL,
  `email` varchar(100) COLLATE utf8_czech_ci NOT NULL,
  `id_classes` int(10) UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `students`
--

INSERT INTO `students` (`id_students`, `first_name`, `last_name`, `birth_date`, `residence`, `phone`, `email`, `id_classes`) VALUES
(1, 'Tomáš', 'Merta', '2008-01-01', 'Ulice A 1114/4', 456789452, 'tomas.merta@skola.student.cz', 1),
(2, 'Jan', 'Šec', '2008-06-28', 'Ulice B 4575/1', 256785214, 'jan.sec@skola.student.cz', 1),
(3, 'Josef', 'Trávníček', '2008-06-28', 'Ulice B 4514/10', 256785214, 'josef.travnicek@skola.student.cz', 1),
(4, 'Lenka', 'Tumová', '2008-08-05', 'Ulice C 447/1A', 457954321, 'lenka.tumova@skola.student.cz', 1),
(5, 'Martina', 'Adámková', '2007-10-20', 'Ulice D 100/2B', 457896321, 'martina.adamkova@skola.student.cz', 2),
(6, 'Marie', 'Šilerová', '2007-12-10', 'Ulice D 4552/48', 785214563, 'marie.silerova@skola.student.cz', 2),
(7, 'Daniel', 'Franěk', '2008-05-21', 'Ulice E 41', 485214569, 'daniel.franek@skola.student.cz', 2),
(8, 'Pavel', 'Jaroš', '2008-04-04', 'Ulice E 142', 145874562, 'pavel.jaros@skola.student.cz', 2);

-- --------------------------------------------------------

--
-- Table structure for table `studentssubjects`
--

CREATE TABLE `studentssubjects` (
  `id_studentssubjects` int(10) UNSIGNED NOT NULL,
  `id_students` int(10) UNSIGNED NOT NULL,
  `id_subjects` int(10) UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `studentssubjects`
--

INSERT INTO `studentssubjects` (`id_studentssubjects`, `id_students`, `id_subjects`) VALUES
(25, 1, 1),
(26, 1, 3),
(27, 1, 5),
(28, 2, 1),
(29, 2, 3),
(30, 2, 5),
(31, 3, 1),
(32, 3, 3),
(33, 3, 5),
(34, 4, 1),
(35, 4, 3),
(36, 4, 5),
(37, 5, 2),
(38, 5, 4),
(39, 5, 5),
(40, 6, 2),
(41, 6, 4),
(42, 6, 5),
(43, 7, 2),
(44, 7, 4),
(45, 7, 5),
(46, 8, 2),
(47, 8, 4),
(48, 8, 5);

-- --------------------------------------------------------

--
-- Table structure for table `subjectlist`
--

CREATE TABLE `subjectlist` (
  `id_subjectlist` int(10) UNSIGNED NOT NULL,
  `subject_name` varchar(100) COLLATE utf8_czech_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `subjectlist`
--

INSERT INTO `subjectlist` (`id_subjectlist`, `subject_name`) VALUES
(1, 'Čeština'),
(2, 'Matematika'),
(3, 'Angličtina');

-- --------------------------------------------------------

--
-- Table structure for table `subjects`
--

CREATE TABLE `subjects` (
  `id_subjects` int(10) UNSIGNED NOT NULL,
  `subject_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_czech_ci NOT NULL,
  `id_subjectlist` int(10) UNSIGNED NOT NULL,
  `id_teachers` int(10) UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `subjects`
--

INSERT INTO `subjects` (`id_subjects`, `subject_name`, `id_subjectlist`, `id_teachers`) VALUES
(1, 'Angličtnina 8. třídy', 3, 1),
(2, 'Angličtnina 8. třídy', 3, 2),
(3, 'Čeština 8. třídy', 1, 1),
(4, 'Čeština 8. třídy', 1, 2),
(5, 'Matematika 8. třídy', 2, 3);

-- --------------------------------------------------------

--
-- Table structure for table `teachers`
--

CREATE TABLE `teachers` (
  `id_teachers` int(10) UNSIGNED NOT NULL,
  `first_name` varchar(100) COLLATE utf8_czech_ci NOT NULL,
  `last_name` varchar(100) COLLATE utf8_czech_ci NOT NULL,
  `birth_date` date NOT NULL,
  `commencement_date` date NOT NULL,
  `residence` varchar(100) COLLATE utf8_czech_ci NOT NULL,
  `phone` int(9) UNSIGNED NOT NULL,
  `email` varchar(100) COLLATE utf8_czech_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `teachers`
--

INSERT INTO `teachers` (`id_teachers`, `first_name`, `last_name`, `birth_date`, `commencement_date`, `residence`, `phone`, `email`) VALUES
(1, 'Jan', 'Zelený', '1980-01-01', '2020-01-01', 'Zelná Ulice 55A', 459214878, 'jan.zeleny@skola.cz'),
(2, 'Pavel', 'Modrý', '1979-05-01', '2020-01-15', 'Modrý Ulice 545/25B', 789546235, 'pavel.modry@skola.cz'),
(3, 'Alena', 'Novotná', '1985-05-01', '2020-05-10', 'Nová Ulice 112', 322568489, 'alena.novotna@skola.cz');

-- --------------------------------------------------------

--
-- Table structure for table `teachersubjects`
--

CREATE TABLE `teachersubjects` (
  `id_subjectlist` int(10) UNSIGNED NOT NULL,
  `id_teachers` int(10) UNSIGNED NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_czech_ci;

--
-- Dumping data for table `teachersubjects`
--

INSERT INTO `teachersubjects` (`id_subjectlist`, `id_teachers`) VALUES
(1, 1),
(1, 2),
(2, 3),
(3, 1),
(3, 2);

--
-- Indexes for dumped tables
--

--
-- Indexes for table `absences`
--
ALTER TABLE `absences`
  ADD PRIMARY KEY (`id_absences`),
  ADD KEY `absences_students` (`id_students`),
  ADD KEY `absences_scheduleactionsdates` (`id_scheduleactionsdates`);

--
-- Indexes for table `buildings`
--
ALTER TABLE `buildings`
  ADD PRIMARY KEY (`id_buildings`);

--
-- Indexes for table `classes`
--
ALTER TABLE `classes`
  ADD PRIMARY KEY (`id_classes`),
  ADD KEY `id_rooms` (`id_rooms`),
  ADD KEY `id_teachers` (`id_teachers`);

--
-- Indexes for table `classessubjects`
--
ALTER TABLE `classessubjects`
  ADD KEY `id_classes` (`id_classes`,`id_subjects`),
  ADD KEY `classessubjects_subjects` (`id_subjects`);

--
-- Indexes for table `evaluations`
--
ALTER TABLE `evaluations`
  ADD PRIMARY KEY (`id_evaluations`),
  ADD KEY `id_studentssubjects` (`id_studentssubjects`);

--
-- Indexes for table `rooms`
--
ALTER TABLE `rooms`
  ADD PRIMARY KEY (`id_rooms`),
  ADD KEY `id_buildings` (`id_buildings`);

--
-- Indexes for table `scheduleactions`
--
ALTER TABLE `scheduleactions`
  ADD PRIMARY KEY (`id_scheduleactions`),
  ADD KEY `id_rooms` (`id_rooms`,`id_subjects`,`id_schooldays`,`id_schoolhours`),
  ADD KEY `scheduleactions_schooldays` (`id_schooldays`),
  ADD KEY `scheduleactions_schoolhours` (`id_schoolhours`),
  ADD KEY `scheduleactions_subjects` (`id_subjects`);

--
-- Indexes for table `scheduleactionsdate`
--
ALTER TABLE `scheduleactionsdate`
  ADD PRIMARY KEY (`id_scheduleactionsdates`),
  ADD KEY `scheduleactionsdates_teachers` (`id_teachers`),
  ADD KEY `scheduleactionsdates_rooms` (`id_rooms`),
  ADD KEY `scheduleactionsdates_schooldays` (`id_schooldays`),
  ADD KEY `scheduleactionsdates_schoolhours` (`id_schoolhours`),
  ADD KEY `scheduleactionsdates_scheduleactions` (`id_scheduleactions`);

--
-- Indexes for table `schooldays`
--
ALTER TABLE `schooldays`
  ADD PRIMARY KEY (`id_schooldays`);

--
-- Indexes for table `schoolhours`
--
ALTER TABLE `schoolhours`
  ADD PRIMARY KEY (`id_schoolhours`);

--
-- Indexes for table `students`
--
ALTER TABLE `students`
  ADD PRIMARY KEY (`id_students`),
  ADD KEY `id_classes` (`id_classes`);

--
-- Indexes for table `studentssubjects`
--
ALTER TABLE `studentssubjects`
  ADD PRIMARY KEY (`id_studentssubjects`),
  ADD KEY `id_students` (`id_students`,`id_subjects`),
  ADD KEY `studentssubjects_subjects` (`id_subjects`);

--
-- Indexes for table `subjectlist`
--
ALTER TABLE `subjectlist`
  ADD PRIMARY KEY (`id_subjectlist`);

--
-- Indexes for table `subjects`
--
ALTER TABLE `subjects`
  ADD PRIMARY KEY (`id_subjects`),
  ADD KEY `id_subjectlist` (`id_subjectlist`),
  ADD KEY `id_teachers` (`id_teachers`);

--
-- Indexes for table `teachers`
--
ALTER TABLE `teachers`
  ADD PRIMARY KEY (`id_teachers`);

--
-- Indexes for table `teachersubjects`
--
ALTER TABLE `teachersubjects`
  ADD KEY `id_subjectlist` (`id_subjectlist`,`id_teachers`),
  ADD KEY `teacherssubjects_teacher` (`id_teachers`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `absences`
--
ALTER TABLE `absences`
  MODIFY `id_absences` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `buildings`
--
ALTER TABLE `buildings`
  MODIFY `id_buildings` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `classes`
--
ALTER TABLE `classes`
  MODIFY `id_classes` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `evaluations`
--
ALTER TABLE `evaluations`
  MODIFY `id_evaluations` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=25;

--
-- AUTO_INCREMENT for table `rooms`
--
ALTER TABLE `rooms`
  MODIFY `id_rooms` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `scheduleactions`
--
ALTER TABLE `scheduleactions`
  MODIFY `id_scheduleactions` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=11;

--
-- AUTO_INCREMENT for table `scheduleactionsdate`
--
ALTER TABLE `scheduleactionsdate`
  MODIFY `id_scheduleactionsdates` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=11;

--
-- AUTO_INCREMENT for table `schooldays`
--
ALTER TABLE `schooldays`
  MODIFY `id_schooldays` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `schoolhours`
--
ALTER TABLE `schoolhours`
  MODIFY `id_schoolhours` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT for table `students`
--
ALTER TABLE `students`
  MODIFY `id_students` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=9;

--
-- AUTO_INCREMENT for table `studentssubjects`
--
ALTER TABLE `studentssubjects`
  MODIFY `id_studentssubjects` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=49;

--
-- AUTO_INCREMENT for table `subjectlist`
--
ALTER TABLE `subjectlist`
  MODIFY `id_subjectlist` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `subjects`
--
ALTER TABLE `subjects`
  MODIFY `id_subjects` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `teachers`
--
ALTER TABLE `teachers`
  MODIFY `id_teachers` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `absences`
--
ALTER TABLE `absences`
  ADD CONSTRAINT `absences_scheduleactionsdates` FOREIGN KEY (`id_scheduleactionsdates`) REFERENCES `scheduleactionsdate` (`id_scheduleactionsdates`) ON DELETE CASCADE,
  ADD CONSTRAINT `absences_students` FOREIGN KEY (`id_students`) REFERENCES `students` (`id_students`) ON DELETE CASCADE;

--
-- Constraints for table `classes`
--
ALTER TABLE `classes`
  ADD CONSTRAINT `classes_rooms` FOREIGN KEY (`id_rooms`) REFERENCES `rooms` (`id_rooms`),
  ADD CONSTRAINT `classes_teachers` FOREIGN KEY (`id_teachers`) REFERENCES `teachers` (`id_teachers`);

--
-- Constraints for table `classessubjects`
--
ALTER TABLE `classessubjects`
  ADD CONSTRAINT `classessubjects_classes` FOREIGN KEY (`id_classes`) REFERENCES `classes` (`id_classes`) ON DELETE CASCADE,
  ADD CONSTRAINT `classessubjects_subjects` FOREIGN KEY (`id_subjects`) REFERENCES `subjects` (`id_subjects`) ON DELETE CASCADE;

--
-- Constraints for table `evaluations`
--
ALTER TABLE `evaluations`
  ADD CONSTRAINT `evaluations_studentssubjects` FOREIGN KEY (`id_studentssubjects`) REFERENCES `studentssubjects` (`id_studentssubjects`) ON DELETE CASCADE;

--
-- Constraints for table `rooms`
--
ALTER TABLE `rooms`
  ADD CONSTRAINT `rooms_buildings` FOREIGN KEY (`id_buildings`) REFERENCES `buildings` (`id_buildings`);

--
-- Constraints for table `scheduleactions`
--
ALTER TABLE `scheduleactions`
  ADD CONSTRAINT `scheduleactions_rooms` FOREIGN KEY (`id_rooms`) REFERENCES `rooms` (`id_rooms`) ON DELETE CASCADE,
  ADD CONSTRAINT `scheduleactions_schooldays` FOREIGN KEY (`id_schooldays`) REFERENCES `schooldays` (`id_schooldays`) ON DELETE CASCADE,
  ADD CONSTRAINT `scheduleactions_schoolhours` FOREIGN KEY (`id_schoolhours`) REFERENCES `schoolhours` (`id_schoolhours`) ON DELETE CASCADE,
  ADD CONSTRAINT `scheduleactions_subjects` FOREIGN KEY (`id_subjects`) REFERENCES `subjects` (`id_subjects`) ON DELETE CASCADE;

--
-- Constraints for table `scheduleactionsdate`
--
ALTER TABLE `scheduleactionsdate`
  ADD CONSTRAINT `scheduleactionsdates_rooms` FOREIGN KEY (`id_rooms`) REFERENCES `rooms` (`id_rooms`),
  ADD CONSTRAINT `scheduleactionsdates_scheduleactions` FOREIGN KEY (`id_scheduleactions`) REFERENCES `scheduleactions` (`id_scheduleactions`) ON DELETE CASCADE,
  ADD CONSTRAINT `scheduleactionsdates_schooldays` FOREIGN KEY (`id_schooldays`) REFERENCES `schooldays` (`id_schooldays`),
  ADD CONSTRAINT `scheduleactionsdates_schoolhours` FOREIGN KEY (`id_schoolhours`) REFERENCES `schoolhours` (`id_schoolhours`),
  ADD CONSTRAINT `scheduleactionsdates_teachers` FOREIGN KEY (`id_teachers`) REFERENCES `teachers` (`id_teachers`);

--
-- Constraints for table `students`
--
ALTER TABLE `students`
  ADD CONSTRAINT `students_classes` FOREIGN KEY (`id_classes`) REFERENCES `classes` (`id_classes`);

--
-- Constraints for table `studentssubjects`
--
ALTER TABLE `studentssubjects`
  ADD CONSTRAINT `studentssubjects_students` FOREIGN KEY (`id_students`) REFERENCES `students` (`id_students`) ON DELETE CASCADE,
  ADD CONSTRAINT `studentssubjects_subjects` FOREIGN KEY (`id_subjects`) REFERENCES `subjects` (`id_subjects`) ON DELETE CASCADE;

--
-- Constraints for table `subjects`
--
ALTER TABLE `subjects`
  ADD CONSTRAINT `subjects_subjectlist` FOREIGN KEY (`id_subjectlist`) REFERENCES `subjectlist` (`id_subjectlist`),
  ADD CONSTRAINT `subjects_teachers` FOREIGN KEY (`id_teachers`) REFERENCES `teachers` (`id_teachers`);

--
-- Constraints for table `teachersubjects`
--
ALTER TABLE `teachersubjects`
  ADD CONSTRAINT `teacherssubjects_subjectlist` FOREIGN KEY (`id_subjectlist`) REFERENCES `subjectlist` (`id_subjectlist`) ON DELETE CASCADE,
  ADD CONSTRAINT `teacherssubjects_teacher` FOREIGN KEY (`id_teachers`) REFERENCES `teachers` (`id_teachers`) ON DELETE CASCADE;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
